Tp::PendingStreamedMediaStreams Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PendingStreamedMediaStreams Class Reference
Channel proxies

Class containing the result of an asynchronous streamed media stream creation request. More...

`#include <TelepathyQt/PendingStreamedMediaStreams>`

Inherits Tp::PendingOperation.

## Public Member Functions
| ~PendingStreamedMediaStreams ()
StreamedMediaChannelPtr | channel () const
StreamedMediaStreams | streams () const
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Additional Inherited Members
Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Detailed Description

Class containing the result of an asynchronous streamed media stream creation request.

Instances of this class cannot be constructed directly; the only way to get one is via StreamedMediaChannel.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingStreamedMediaStreams::~PendingStreamedMediaStreams | ( |  | ) |

Class destructor.

## Member Function Documentation

StreamedMediaChannelPtr Tp::PendingStreamedMediaStreams::channel | ( |  | ) | const

Return the channel through which the request was made.

Returns
  A pointer to the StreamedMediaChannel object.

StreamedMediaStreams Tp::PendingStreamedMediaStreams::streams | ( |  | ) | const

Return a list of the newly created StreamedMediaStreamPtr objects.

Returns
  A list of pointers to StreamedMediaStream objects, or an empty list if an error occurred.